[omniNotify] omniNotify - error during compile - cannot be
overloaded
Stuart Murray
semurra at sandia.gov
Tue Jan 18 14:43:24 GMT 2011
Hi,
I have downloaded and installed the omniORB-4.1.5 and omniORBpy-3.5
on a linux RHEL 4 workstation without any problem using the standard
configuration, make and make install.
I have downloaded omniNotify-2.1.tar.gz and I am getting an error
message in the RDIstrstream.h file during compilation. Has anyone
else experienced this problem? I have attached the config.log and
config.status files as additional information. The two lines in
question are located in the RDIstrstream.h file.
#ifdef HAS_LongLong
RDIstrstream& operator<<(WRAPPED_CORBA_LONGLONG_TYPE n);
RDIstrstream& operator<<(WRAPPED_CORBA_ULONGLONG_TYPE n);
#endif
Thanks,
Stuart
Error message:
**************************
make[1]: Leaving directory `./omniNotify/build/mkattlib'
making export in ./lib...
make[1]: Entering directory `./omniNotify/build/lib'
File omniNotify.h hasn't changed.
File CosNotifyShorthands.h hasn't changed.
File RDIStringDefs.h hasn't changed.
File RDIstrstream.h hasn't changed.
File RDIOSWrappers.h hasn't changed.
File thread_wrappers.h hasn't changed.
File omnithread_thread_wrappers.h hasn't changed.
File RDIInteractiveMode.h hasn't changed.
File corba_wrappers.h hasn't changed.
File corba_wrappers_impl.h hasn't changed.
File omniorb_common_wrappers.h hasn't changed.
File omniorb_boa_wrappers.h hasn't changed.
File omniorb_poa_wrappers.h hasn't changed.
File omniorb_boa_wrappers_impl.h hasn't changed.
File omniorb_poa_wrappers_impl.h hasn't changed.
File RDIsysdep.h hasn't changed.
g++ -c -O2 -DNDEBUG -Wall -Wno-unused -fexceptions -D__OMNIORB4__
-I../stub -D_REENTRANT -I/usr/local/include -I../include/COS
-I../../include/COS -I/usr/local/include/COS -D_OMNINOTIFY_LIBRARY
-DUSE_stub_in_nt_dll -I. -I../../lib -I../include -I../../include
-D__OSVERSION__=2 -D__linux__ -I../src/services/omniNotify/include
-I../../src/services/omniNotify/include
-I/usr/local/src/services/omniNotify/include -o
static/RDIInteractive.o ../../lib/RDIInteractive.cc
In file included from ../../include/RDIInteractive.h:35,
from ../../lib/RDIInteractive.cc:32:
../../include/RDIstrstream.h:65: error: `RDIstrstream&
RDIstrstream::operator<<(long int)' and `RDIstrstream&
RDIstrstream::operator<<(long int)' cannot be overloaded
../../include/RDIstrstream.h:66: error: `RDIstrstream&
RDIstrstream::operator<<(long unsigned int)' and `RDIstrstream&
RDIstrstream::operator<<(long unsigned int)' cannot be overloaded
make[1]: *** [static/RDIInteractive.o] Error 1
make[1]: Leaving directory `./omniNotify/build/lib'
make: *** [all] Error 1
[.. build]$
***********************
Results of the configure:
[.. build]$ ../configure PYTHON=/usr/local/bin/python
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for gcc... gcc
checking for C compiler default output... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking how to run the C preprocessor... gcc -E
checking for ranlib... ranlib
checking for a BSD-compatible install... /usr/bin/install -c
checking whether make sets ${MAKE}... yes
checking for omniORB root... /usr/local
checking whether to build static libraries... yes
checking for omkdepend... /usr/local/bin/omkdepend
checking for omkdirhier... omniNotify/bin/scripts/omkdirhier
configure: creating ./config.status
config.status: creating mk/beforeauto.mk
config.status: creating mk/afterauto.mk
config.status: creating GNUmakefile
config.status: creating mkattlib/GNUmakefile
config.status: creating mkattlib/mkBOAlib/GNUmakefile
config.status: creating lib/GNUmakefile
config.status: creating daemon/GNUmakefile
config.status: creating examples/GNUmakefile
config.status: creating include/GNUmakefile
***************************
-------------- next part --------------
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by omniNotify configure 2.0, which was
generated by GNU Autoconf 2.53. Invocation command line was
$ ../configure PYTHON=/usr/local/bin/python
## --------- ##
## Platform. ##
## --------- ##
hostname =
uname -m = x86_64
uname -r = 2.6.9-55.ELsmp
uname -s = Linux
uname -v = #1 SMP Fri Apr 20 16:36:54 EDT 2007
/usr/bin/uname -p = unknown
/bin/uname -X = unknown
/bin/arch = x86_64
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /opt/local/be/bin
PATH: /usr/local/bin
PATH: /usr/local/Trolltech/Qt-4.7.1/bin
PATH: /opt/local/be/bin
PATH: /usr/local/bin
PATH: /opt/local/be/bin
PATH: /usr/local/bin
PATH: /usr/local/Trolltech/Qt-4.7.1/bin
PATH: /opt/local/be/bin
PATH: /usr/local/bin
PATH: /usr/kerberos/bin
PATH: /usr/local/bin
PATH: /bin
PATH: /usr/bin
PATH: /usr/X11R6/bin
PATH: /opt/local/gidget/bin
PATH: /opt/local/geni/bin
PATH: /home/giifts/bin
PATH: /opt/local/gidget/bin
PATH: /opt/local/geni/bin
PATH: /home/giifts/bin
## ----------- ##
## Core tests. ##
## ----------- ##
configure:1217: checking build system type
configure:1235: result: x86_64-unknown-linux-gnu
configure:1243: checking host system type
configure:1257: result: x86_64-unknown-linux-gnu
configure:1314: checking for gcc
configure:1330: found /usr/bin/gcc
configure:1340: result: gcc
configure:1584: checking for C compiler version
configure:1587: gcc --version </dev/null >&5
gcc (GCC) 3.4.6 20060404 (Red Hat 3.4.6-8)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:1590: $? = 0
configure:1592: gcc -v </dev/null >&5
Reading specs from /usr/lib/gcc/x86_64-redhat-linux/3.4.6/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-checking --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-java-awt=gtk --host=x86_64-redhat-linux
Thread model: posix
gcc version 3.4.6 20060404 (Red Hat 3.4.6-8)
configure:1595: $? = 0
configure:1597: gcc -V </dev/null >&5
gcc: `-V' option must have argument
configure:1600: $? = 1
configure:1626: checking for C compiler default output
configure:1629: gcc conftest.c >&5
configure:1632: $? = 0
configure:1665: result: a.out
configure:1670: checking whether the C compiler works
configure:1676: ./a.out
configure:1679: $? = 0
configure:1694: result: yes
configure:1701: checking whether we are cross compiling
configure:1703: result: no
configure:1706: checking for suffix of executables
configure:1708: gcc -o conftest conftest.c >&5
configure:1711: $? = 0
configure:1733: result:
configure:1739: checking for suffix of object files
configure:1763: gcc -c conftest.c >&5
configure:1766: $? = 0
configure:1785: result: o
configure:1789: checking whether we are using the GNU C compiler
configure:1816: gcc -c conftest.c >&5
configure:1819: $? = 0
configure:1822: test -s conftest.o
configure:1825: $? = 0
configure:1837: result: yes
configure:1843: checking whether gcc accepts -g
configure:1867: gcc -c -g conftest.c >&5
configure:1870: $? = 0
configure:1873: test -s conftest.o
configure:1876: $? = 0
configure:1886: result: yes
configure:1913: gcc -c -g -O2 conftest.c >&5
conftest.c:2: error: syntax error before "me"
configure:1916: $? = 1
configure: failed program was:
#ifndef __cplusplus
choke me
#endif
configure:2078: checking for g++
configure:2094: found /usr/bin/g++
configure:2104: result: g++
configure:2120: checking for C++ compiler version
configure:2123: g++ --version </dev/null >&5
g++ (GCC) 3.4.6 20060404 (Red Hat 3.4.6-8)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:2126: $? = 0
configure:2128: g++ -v </dev/null >&5
Reading specs from /usr/lib/gcc/x86_64-redhat-linux/3.4.6/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-checking --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-java-awt=gtk --host=x86_64-redhat-linux
Thread model: posix
gcc version 3.4.6 20060404 (Red Hat 3.4.6-8)
configure:2131: $? = 0
configure:2133: g++ -V </dev/null >&5
g++: `-V' option must have argument
configure:2136: $? = 1
configure:2139: checking whether we are using the GNU C++ compiler
configure:2166: g++ -c conftest.cc >&5
configure:2169: $? = 0
configure:2172: test -s conftest.o
configure:2175: $? = 0
configure:2187: result: yes
configure:2193: checking whether g++ accepts -g
configure:2217: g++ -c -g conftest.cc >&5
configure:2220: $? = 0
configure:2223: test -s conftest.o
configure:2226: $? = 0
configure:2236: result: yes
configure:2282: g++ -c -g -O2 conftest.cc >&5
configure:2285: $? = 0
configure:2288: test -s conftest.o
configure:2291: $? = 0
configure:2319: g++ -c -g -O2 conftest.cc >&5
configure: In function `int main()':
configure:2311: error: `exit' was not declared in this scope
configure:2322: $? = 1
configure: failed program was:
#line 2300 "configure"
#include "confdefs.h"
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
exit (42);
;
return 0;
}
configure:2282: g++ -c -g -O2 conftest.cc >&5
configure:2285: $? = 0
configure:2288: test -s conftest.o
configure:2291: $? = 0
configure:2319: g++ -c -g -O2 conftest.cc >&5
configure:2322: $? = 0
configure:2325: test -s conftest.o
configure:2328: $? = 0
configure:2355: checking how to run the C preprocessor
configure:2381: gcc -E conftest.c
configure:2387: $? = 0
configure:2414: gcc -E conftest.c
configure:2410:28: ac_nonexistent.h: No such file or directory
configure:2420: $? = 1
configure: failed program was:
#line 2409 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:2457: result: gcc -E
configure:2472: gcc -E conftest.c
configure:2478: $? = 0
configure:2505: gcc -E conftest.c
configure:2501:28: ac_nonexistent.h: No such file or directory
configure:2511: $? = 1
configure: failed program was:
#line 2500 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:2591: checking for ranlib
configure:2607: found /usr/bin/ranlib
configure:2618: result: ranlib
configure:2642: checking for a BSD-compatible install
configure:2696: result: /usr/bin/install -c
configure:2707: checking whether make sets ${MAKE}
configure:2727: result: yes
configure:2746: checking for omniORB root
configure:2770: result: /usr/local
configure:2785: checking whether to build static libraries
configure:2799: result: yes
configure:2814: checking for omkdepend
configure:2832: found /usr/local/bin/omkdepend
configure:2844: result: /usr/local/bin/omkdepend
configure:2859: checking for omkdirhier
configure:2877: found /opt/local/geni_support_pkgs_110107/omniNotify/bin/scripts/omkdirhier
configure:2889: result: /opt/local/geni_support_pkgs_110107/omniNotify/bin/scripts/omkdirhier
configure:3105: creating ./config.status
## ---------------------- ##
## Running config.status. ##
## ---------------------- ##
This file was extended by omniNotify config.status 2.0, which was
generated by GNU Autoconf 2.53. Invocation command line was
CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
$ ./config.status
on
config.status:588: creating mk/beforeauto.mk
config.status:588: creating mk/afterauto.mk
config.status:588: creating GNUmakefile
config.status:588: creating mkattlib/GNUmakefile
config.status:588: creating mkattlib/mkBOAlib/GNUmakefile
config.status:588: creating lib/GNUmakefile
config.status:588: creating daemon/GNUmakefile
config.status:588: creating examples/GNUmakefile
config.status:588: creating include/GNUmakefile
## ---------------- ##
## Cache variables. ##
## ---------------- ##
ac_cv_build=x86_64-unknown-linux-gnu
ac_cv_build_alias=x86_64-unknown-linux-gnu
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_exeext=
ac_cv_host=x86_64-unknown-linux-gnu
ac_cv_host_alias=x86_64-unknown-linux-gnu
ac_cv_objext=o
ac_cv_path_MKDIRHIER=/opt/local/geni_support_pkgs_110107/omniNotify/bin/scripts/omkdirhier
ac_cv_path_OMKDEPEND=/usr/local/bin/omkdepend
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=yes
ac_cv_prog_make_make_set=yes
omni_cv_enable_static=yes
omni_cv_omniorb_root=/usr/local
## ----------- ##
## confdefs.h. ##
## ----------- ##
#define PACKAGE_NAME "omniNotify"
#define PACKAGE_TARNAME "omninotify"
#define PACKAGE_VERSION "2.0"
#define PACKAGE_STRING "omniNotify 2.0"
#define PACKAGE_BUGREPORT "bugs at omniorb-support.com"
#ifdef __cplusplus
#include <stdlib.h>
#endif
configure: exit 0
-------------- next part --------------
#! /bin/sh
# Generated by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.
debug=false
SHELL=${CONFIG_SHELL-/bin/sh}
## --------------------- ##
## M4sh Initialization. ##
## --------------------- ##
# Be Bourne compatible
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
emulate sh
NULLCMD=:
elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
set -o posix
fi
# NLS nuisances.
# Support unset when possible.
if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
as_unset=unset
else
as_unset=false
fi
(set +x; test -n "`(LANG=C; export LANG) 2>&1`") &&
{ $as_unset LANG || test "${LANG+set}" != set; } ||
{ LANG=C; export LANG; }
(set +x; test -n "`(LC_ALL=C; export LC_ALL) 2>&1`") &&
{ $as_unset LC_ALL || test "${LC_ALL+set}" != set; } ||
{ LC_ALL=C; export LC_ALL; }
(set +x; test -n "`(LC_TIME=C; export LC_TIME) 2>&1`") &&
{ $as_unset LC_TIME || test "${LC_TIME+set}" != set; } ||
{ LC_TIME=C; export LC_TIME; }
(set +x; test -n "`(LC_CTYPE=C; export LC_CTYPE) 2>&1`") &&
{ $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set; } ||
{ LC_CTYPE=C; export LC_CTYPE; }
(set +x; test -n "`(LANGUAGE=C; export LANGUAGE) 2>&1`") &&
{ $as_unset LANGUAGE || test "${LANGUAGE+set}" != set; } ||
{ LANGUAGE=C; export LANGUAGE; }
(set +x; test -n "`(LC_COLLATE=C; export LC_COLLATE) 2>&1`") &&
{ $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set; } ||
{ LC_COLLATE=C; export LC_COLLATE; }
(set +x; test -n "`(LC_NUMERIC=C; export LC_NUMERIC) 2>&1`") &&
{ $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set; } ||
{ LC_NUMERIC=C; export LC_NUMERIC; }
(set +x; test -n "`(LC_MESSAGES=C; export LC_MESSAGES) 2>&1`") &&
{ $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set; } ||
{ LC_MESSAGES=C; export LC_MESSAGES; }
# Name of the executable.
as_me=`(basename "$0") 2>/dev/null ||
$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
X"$0" : 'X\(//\)$' \| \
X"$0" : 'X\(/\)$' \| \
. : '\(.\)' 2>/dev/null ||
echo X/"$0" |
sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
/^X\/\(\/\/\)$/{ s//\1/; q; }
/^X\/\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
# PATH needs CR, and LINENO needs CR and PATH.
# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits
# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
echo "#! /bin/sh" >conftest.sh
echo "exit 0" >>conftest.sh
chmod +x conftest.sh
if (PATH=".;."; conftest.sh) >/dev/null 2>&1; then
PATH_SEPARATOR=';'
else
PATH_SEPARATOR=:
fi
rm -f conftest.sh
fi
as_lineno_1=$LINENO
as_lineno_2=$LINENO
as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
test "x$as_lineno_1" != "x$as_lineno_2" &&
test "x$as_lineno_3" = "x$as_lineno_2" || {
# Find who we are. Look in the path if we contain no path at all
# relative or not.
case $0 in
*[\\/]* ) as_myself=$0 ;;
*) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
done
;;
esac
# We did not find ourselves, most probably we were run as `sh COMMAND'
# in which case we are not to be found in the path.
if test "x$as_myself" = x; then
as_myself=$0
fi
if test ! -f "$as_myself"; then
{ { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
{ (exit 1); exit 1; }; }
fi
case $CONFIG_SHELL in
'')
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for as_base in sh bash ksh sh5; do
case $as_dir in
/*)
if ("$as_dir/$as_base" -c '
as_lineno_1=$LINENO
as_lineno_2=$LINENO
as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
test "x$as_lineno_1" != "x$as_lineno_2" &&
test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
CONFIG_SHELL=$as_dir/$as_base
export CONFIG_SHELL
exec "$CONFIG_SHELL" "$0" ${1+"$@"}
fi;;
esac
done
done
;;
esac
# Create $as_me.lineno as a copy of $as_myself, but with $LINENO
# uniformly replaced by the line number. The first 'sed' inserts a
# line-number line before each line; the second 'sed' does the real
# work. The second script uses 'N' to pair each line-number line
# with the numbered line, and appends trailing '-' during
# substitution so that $LINENO is not a special case at line end.
# (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
# second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
sed '=' <$as_myself |
sed '
N
s,$,-,
: loop
s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
t loop
s,-$,,
s,^['$as_cr_digits']*\n,,
' >$as_me.lineno &&
chmod +x $as_me.lineno ||
{ { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
{ (exit 1); exit 1; }; }
# Don't try to exec as it changes $[0], causing all sort of problems
# (the dirname of $[0] is not the place where we might find the
# original and so on. Autoconf is especially sensible to this).
. ./$as_me.lineno
# Exit status is that of the last command.
exit
}
case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
*c*,-n*) ECHO_N= ECHO_C='
' ECHO_T=' ' ;;
*c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
*) ECHO_N= ECHO_C='\c' ECHO_T= ;;
esac
if expr a : '\(a\)' >/dev/null 2>&1; then
as_expr=expr
else
as_expr=false
fi
rm -f conf$$ conf$$.exe conf$$.file
echo >conf$$.file
if ln -s conf$$.file conf$$ 2>/dev/null; then
# We could just check for DJGPP; but this test a) works b) is more generic
# and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
if test -f conf$$.exe; then
# Don't use ln at all; we don't have any links
as_ln_s='cp -p'
else
as_ln_s='ln -s'
fi
elif ln conf$$.file conf$$ 2>/dev/null; then
as_ln_s=ln
else
as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.file
as_executable_p="test -f"
# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
# Sed expression to map a string onto a valid variable name.
as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
# IFS
# We need space, tab and new line, in precisely that order.
as_nl='
'
IFS=" $as_nl"
# CDPATH.
$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=$PATH_SEPARATOR; export CDPATH; }
exec 6>&1
# Open the log real soon, to keep \$[0] and so on meaningful, and to
# report actual input values of CONFIG_FILES etc. instead of their
# values after options handling. Logging --version etc. is OK.
exec 5>>config.log
{
echo
sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
## Running $as_me. ##
_ASBOX
} >&5
cat >&5 <<_CSEOF
This file was extended by omniNotify $as_me 2.0, which was
generated by GNU Autoconf 2.53. Invocation command line was
CONFIG_FILES = $CONFIG_FILES
CONFIG_HEADERS = $CONFIG_HEADERS
CONFIG_LINKS = $CONFIG_LINKS
CONFIG_COMMANDS = $CONFIG_COMMANDS
$ $0 $@
_CSEOF
echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
echo >&5
config_files=" mk/beforeauto.mk mk/afterauto.mk GNUmakefile mkattlib/GNUmakefile mkattlib/mkBOAlib/GNUmakefile lib/GNUmakefile daemon/GNUmakefile examples/GNUmakefile include/GNUmakefile"
ac_cs_usage="\
\`$as_me' instantiates files from templates according to the
current configuration.
Usage: $0 [OPTIONS] [FILE]...
-h, --help print this help, then exit
-V, --version print version number, then exit
-d, --debug don't remove temporary files
--recheck update $as_me by reconfiguring in the same conditions
--file=FILE[:TEMPLATE]
instantiate the configuration file FILE
Configuration files:
$config_files
Report bugs to <bug-autoconf at gnu.org>."
ac_cs_version="\
omniNotify config.status 2.0
configured by ../configure, generated by GNU Autoconf 2.53,
with options \"'PYTHON=/usr/local/bin/python'\"
Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."
srcdir=..
INSTALL="/usr/bin/install -c"
# If no file are specified by the user, then we need to provide default
# value. By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
case $1 in
--*=*)
ac_option=`expr "x$1" : 'x\([^=]*\)='`
ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
shift
set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
shift
;;
-*);;
*) # This is not an option, so the user has probably given explicit
# arguments.
ac_need_defaults=false;;
esac
case $1 in
# Handling of the options.
-recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
echo "running /bin/sh ../configure " 'PYTHON=/usr/local/bin/python' " --no-create --no-recursion"
exec /bin/sh ../configure 'PYTHON=/usr/local/bin/python' --no-create --no-recursion ;;
--version | --vers* | -V )
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:$LINENO: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; };;
--help | --hel | -h )
echo "$ac_cs_usage"; exit 0 ;;
--debug | --d* | -d )
debug=: ;;
--file | --fil | --fi | --f )
shift
CONFIG_FILES="$CONFIG_FILES $1"
ac_need_defaults=false;;
--header | --heade | --head | --hea )
shift
CONFIG_HEADERS="$CONFIG_HEADERS $1"
ac_need_defaults=false;;
# This is an error.
-*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; } ;;
*) ac_config_targets="$ac_config_targets $1" ;;
esac
shift
done
for ac_config_target in $ac_config_targets
do
case "$ac_config_target" in
# Handling of arguments.
"mk/beforeauto.mk" ) CONFIG_FILES="$CONFIG_FILES mk/beforeauto.mk" ;;
"mk/afterauto.mk" ) CONFIG_FILES="$CONFIG_FILES mk/afterauto.mk" ;;
"GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES GNUmakefile" ;;
"mkattlib/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES mkattlib/GNUmakefile" ;;
"mkattlib/mkBOAlib/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES mkattlib/mkBOAlib/GNUmakefile" ;;
"lib/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES lib/GNUmakefile" ;;
"daemon/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES daemon/GNUmakefile" ;;
"examples/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES examples/GNUmakefile" ;;
"include/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES include/GNUmakefile" ;;
*) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
done
# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used. Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
fi
# Create a temporary directory, and hook for its removal unless debugging.
$debug ||
{
trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
trap '{ (exit 1); exit 1; }' 1 2 13 15
}
# Create a (secure) tmp directory for tmp files.
: ${TMPDIR=/tmp}
{
tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
test -n "$tmp" && test -d "$tmp"
} ||
{
tmp=$TMPDIR/cs$$-$RANDOM
(umask 077 && mkdir $tmp)
} ||
{
echo "$me: cannot create a temporary directory in $TMPDIR" >&2
{ (exit 1); exit 1; }
}
#
# CONFIG_FILES section.
#
# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then
# Protect against being on the right side of a sed subst in config.status.
sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
s, at SHELL@,/bin/sh,;t t
s, at PATH_SEPARATOR@,:,;t t
s, at PACKAGE_NAME@,omniNotify,;t t
s, at PACKAGE_TARNAME@,omninotify,;t t
s, at PACKAGE_VERSION@,2.0,;t t
s, at PACKAGE_STRING@,omniNotify 2.0,;t t
s, at PACKAGE_BUGREPORT@,bugs at omniorb-support.com,;t t
s, at exec_prefix@,${prefix},;t t
s, at prefix@,/usr/local,;t t
s, at program_transform_name@,s,x,x,,;t t
s, at bindir@,${exec_prefix}/bin,;t t
s, at sbindir@,${exec_prefix}/sbin,;t t
s, at libexecdir@,${exec_prefix}/libexec,;t t
s, at datadir@,${prefix}/share,;t t
s, at sysconfdir@,${prefix}/etc,;t t
s, at sharedstatedir@,${prefix}/com,;t t
s, at localstatedir@,${prefix}/var,;t t
s, at libdir@,${exec_prefix}/lib,;t t
s, at includedir@,${prefix}/include,;t t
s, at oldincludedir@,/usr/include,;t t
s, at infodir@,${prefix}/info,;t t
s, at mandir@,${prefix}/man,;t t
s, at build_alias@,,;t t
s, at host_alias@,,;t t
s, at target_alias@,,;t t
s, at DEFS@,-DPACKAGE_NAME=\"omniNotify\" -DPACKAGE_TARNAME=\"omninotify\" -DPACKAGE_VERSION=\"2.0\" -DPACKAGE_STRING=\"omniNotify\ 2.0\" -DPACKAGE_BUGREPORT=\"bugs at omniorb-support.com\" ,;t t
s, at ECHO_C@,,;t t
s, at ECHO_N@,-n,;t t
s, at ECHO_T@,,;t t
s, at LIBS@,,;t t
s, at build@,x86_64-unknown-linux-gnu,;t t
s, at build_cpu@,x86_64,;t t
s, at build_vendor@,unknown,;t t
s, at build_os@,linux-gnu,;t t
s, at host@,x86_64-unknown-linux-gnu,;t t
s, at host_cpu@,x86_64,;t t
s, at host_vendor@,unknown,;t t
s, at host_os@,linux-gnu,;t t
s, at CC@,gcc,;t t
s, at CFLAGS@,-g -O2,;t t
s, at LDFLAGS@,,;t t
s, at CPPFLAGS@,,;t t
s, at ac_ct_CC@,gcc,;t t
s, at EXEEXT@,,;t t
s, at OBJEXT@,o,;t t
s, at CXX@,g++,;t t
s, at CXXFLAGS@,-g -O2,;t t
s, at ac_ct_CXX@,g++,;t t
s, at CPP@,gcc -E,;t t
s, at RANLIB@,ranlib,;t t
s, at ac_ct_RANLIB@,ranlib,;t t
s, at INSTALL_PROGRAM@,${INSTALL},;t t
s, at INSTALL_SCRIPT@,${INSTALL},;t t
s, at INSTALL_DATA@,${INSTALL} -m 644,;t t
s, at SET_MAKE@,,;t t
s, at OMNIORB_ROOT@,/usr/local,;t t
s, at ENABLE_STATIC@,yes,;t t
s, at OMKDEPEND@,/usr/local/bin/omkdepend,;t t
s, at MKDIRHIER@,/opt/local/geni_support_pkgs_110107/omniNotify/bin/scripts/omkdirhier,;t t
s, at COMPILER_NAME@,Compiler_GCC,;t t
s, at PLATFORM_NAME@,Linux,;t t
s, at OSVERSION@,2,;t t
s, at PROCESSOR_NAME@,UnknownProcessor,;t t
CEOF
# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_lines=48
ac_sed_frag=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_lines # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=
while $ac_more_lines; do
if test $ac_beg -gt 1; then
sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
else
sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
fi
if test ! -s $tmp/subs.frag; then
ac_more_lines=false
else
# The purpose of the label and of the branching condition is to
# speed up the sed processing (if there are no `@' at all, there
# is no need to browse any of the substitutions).
# These are the two extra sed commands mentioned above.
(echo ':t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
if test -z "$ac_sed_cmds"; then
ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
else
ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
fi
ac_sed_frag=`expr $ac_sed_frag + 1`
ac_beg=$ac_end
ac_end=`expr $ac_end + $ac_max_sed_lines`
fi
done
if test -z "$ac_sed_cmds"; then
ac_sed_cmds=cat
fi
fi # test -n "$CONFIG_FILES"
for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
# Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
case $ac_file in
- | *:- | *:-:* ) # input from stdin
cat >$tmp/stdin
ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
*:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
* ) ac_file_in=$ac_file.in ;;
esac
# Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
ac_dir=`(dirname "$ac_file") 2>/dev/null ||
$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$ac_file" : 'X\(//\)[^/]' \| \
X"$ac_file" : 'X\(//\)$' \| \
X"$ac_file" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
{ case "$ac_dir" in
[\\/]* | ?:[\\/]* ) as_incr_dir=;;
*) as_incr_dir=.;;
esac
as_dummy="$ac_dir"
for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
case $as_mkdir_dir in
# Skip DOS drivespec
?:) as_incr_dir=$as_mkdir_dir ;;
*)
as_incr_dir=$as_incr_dir/$as_mkdir_dir
test -d "$as_incr_dir" ||
mkdir "$as_incr_dir" ||
{ { echo "$as_me:$LINENO: error: cannot create \"$ac_dir\"" >&5
echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
{ (exit 1); exit 1; }; }
;;
esac
done; }
ac_builddir=.
if test "$ac_dir" != .; then
ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
# A "../" for each directory in $ac_dir_suffix.
ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
else
ac_dir_suffix= ac_top_builddir=
fi
case $srcdir in
.) # No --srcdir option. We are building in place.
ac_srcdir=.
if test -z "$ac_top_builddir"; then
ac_top_srcdir=.
else
ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
fi ;;
[\\/]* | ?:[\\/]* ) # Absolute path.
ac_srcdir=$srcdir$ac_dir_suffix;
ac_top_srcdir=$srcdir ;;
*) # Relative path.
ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
ac_top_srcdir=$ac_top_builddir$srcdir ;;
esac
# Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
# absolute.
ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
case $INSTALL in
[\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
*) ac_INSTALL=$ac_top_builddir$INSTALL ;;
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:$LINENO: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated by config.status. */
if test x"$ac_file" = x-; then
configure_input=
else
configure_input="$ac_file. "
fi
configure_input=$configure_input"Generated from `echo $ac_file_in |
sed 's,.*/,,'` by configure."
# First look for the input files in the build tree, otherwise in the
# src tree.
ac_file_inputs=`IFS=:
for f in $ac_file_in; do
case $f in
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
*) # Relative
if test -f "$f"; then
# Build tree
echo $f
elif test -f "$srcdir/$f"; then
# Source tree
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
esac
done` || { (exit 1); exit 1; }
sed "
:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s, at configure_input@,$configure_input,;t t
s, at srcdir@,$ac_srcdir,;t t
s, at abs_srcdir@,$ac_abs_srcdir,;t t
s, at top_srcdir@,$ac_top_srcdir,;t t
s, at abs_top_srcdir@,$ac_abs_top_srcdir,;t t
s, at builddir@,$ac_builddir,;t t
s, at abs_builddir@,$ac_abs_builddir,;t t
s, at top_builddir@,$ac_top_builddir,;t t
s, at abs_top_builddir@,$ac_abs_top_builddir,;t t
s, at INSTALL@,$ac_INSTALL,;t t
" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
rm -f $tmp/stdin
if test x"$ac_file" != x-; then
mv $tmp/out $ac_file
else
cat $tmp/out
rm -f $tmp/out
fi
done
{ (exit 0); exit 0; }
More information about the omninotify-list
mailing list